Linux Mint - Free and powerful

Tuesday, 8 May 2012

My list of software used in LMDE

My favorite software

Capture software, graphics and sound

Packages used for documenting the install:

sudo apt-get install shutter

Recommended extra packages for shutter: 

sudo apt-get install imagemagick-doc gallery-uploader nautilus-sendto libnet-dropbox-api-perl libimage-exiftool-perl libimage-info-perl libnet-dbus-glib-perl
Nautilus sendto adds the missing compress item.

Sound packages

sudo apt-get install audacity

Recommended extra packages for audacity:

sudo apt-get install libasound2-plugin-equal libgnomeprintui2.2-0

Video editing software

sudo apt-get install kdenlive

Recommended packages for kdenlive: 

sudo apt-get install  libsaxon-java libxslthl-java docbook-xsl-saxon fop xalan  dbtoepub libvdpau1 djvulibre-bin icoutils finger hspell libqca2-plugin-cyrus-sasl libqca2-plugin-gnupg libqca2-plugin-ossl libqt4-declarative-folderlistmodel libqt4-declarative-gestures libqt4-declarative-particles libqt4-declarative-shaders qt4-qmlviewer libqt4-dev libsox-fmt-all phonon-backend-gstreamer djvulibre-desktop fop-doc libterm-readline-gnu-perl libterm-readline-perl-perl libavalon-framework-java-doc libbackport-util-concurrent-java-doc bsh libcommons-io-java-doc libcommons-logging-java-doc libexcalibur-logkit-java libdom4j-java-doc graphicsmagick-dbg libjaxme-java-doc java-virtual-machine libjdom1-java-doc docbook-xsl-doc-html 

Capturing the desktop

Quick and dirty

ffmpeg -f x11grab -s wxga -r 25 -i :0.0 -sameq out.mpg
ffmpeg -f x11grab -s 1920x1080 -r 25 -i :0.0 -sameq out.mpg

Internet browsers and tools

Additional browsers

Opera  -- ! Be careful. it removes  mint-flashplugin, mint-meta-codecs.

Managing the system

Webmin

Webmin for Debian - webmin_1.580_all.deb

Dependencies:

sudo apt-get install apt-show-versions libauthen-pam-perl libio-pty-perl

Virtual Software

Virtual Box

https://www.virtualbox.org/wiki/Downloads - virtualbox-4.1_4.1.14-77440~Debian~wheezy_amd64.deb

Chat and Video conferencing  Software

Skype

sudo apt-get install skype

New packages needed for Skype:

sudo apt-get install ia32-libs ia32-libs-gtk lib32asound2 lib32bz2-1.0 lib32gcc1 lib32ncurses5 lib32stdc++6 lib32tinfo5 lib32v4l-0 lib32z1 libc6-i386

Video:

Skype Video @#$%%$^^^}}}} arghhhh.

LD_PRELOAD=/usr/lib32/libv4l/v4l1compat.so skype

locate v4l1compat.so    =     /usr/lib/x86_64-linux-gnu/libv4l/v4l1compat.so WRONG, you need the soft link.

Make it permanent

sudo apt-get install gedit  (All my docs say gedit but Mint use pluma.)
sudo gedit /usr/share/applications/skype.desktop
Comment=Skype Internet Telephony
Exec=bash -c "LD_PRELOAD=/usr/lib32/libv4l/v4l1compat.so skype"
Icon=skype.png

http://www.ubunturoot.com/2010/05/how-to-fix-webcam-problem-in-skype.html

Utilities

Drop box

sudo apt-get install dropbox

Managing groups

sudo apt-get install gnome-system-tools 

More to follow:

0 comments :

Post a Comment

Thank you for taking the time to comment. Your opinion is important and of value and we appreciate the positive feedback! If you are "Negative Nancy" then please do us, and humanity, a favor, and piss off.

Total Pageviews

Google+ Followers

Pages

Blog Archive

Popular Posts

Recent Comments

Rays Twitter feed

Ads

Web sites come and go and information is lost and therefore some pages are archived. @rayd123. Powered by Blogger.